## capsule-maven-nextflow 1.0.3.1+dfsg

=== Makefile ===
clean:
	./gradlew clean
      
compile:
	./gradlew compileJava compileTestJava

check:
	./gradlew check

upload:
	./gradlew uploadArchives

release:
	./gradlew closeAndReleaseRepository

=== debian/changelog ===
capsule-maven-nextflow (1.0.3.1+dfsg-5) unstable; urgency=medium

  * Skipping tests accessing security sensitive fields (Closes: #1026764)
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sat, 24 Dec 2022 21:43:07 +0100

capsule-maven-nextflow (1.0.3.1+dfsg-4) unstable; urgency=medium

  * Fixing FTBFS due to trying to catch an Exception that is not thrown
    anymore (Closes: #1011731)
  * Raising Standards version to 4.6.1 (no change)

 -- Pierre Gruet <pgt@debian.org>  Thu, 26 May 2022 15:20:05 +0200

capsule-maven-nextflow (1.0.3.1+dfsg-3) unstable; urgency=medium

  * Correcting d/watch to get the latest version from tags

 -- Pierre Gruet <pgt@debian.org>  Mon, 20 Dec 2021 11:26:11 +0100

capsule-maven-nextflow (1.0.3.1+dfsg-2) unstable; urgency=medium

  * Source-only upload
  * Setting Standards version to 4.6.0 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 06 Sep 2021 20:59:12 +0200

capsule-maven-nextflow (1.0.3.1+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #987946)

 -- Pierre Gruet <pgt@debian.org>  Wed, 05 May 2021 10:52:04 +0200

=== debian/control ===
Source: capsule-maven-nextflow
Section: java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               javahelper,
               maven-repo-helper,
               capsule-nextflow,
               libmaven-resolver-java,
               libmaven-resolver-transport-http-java,
               libmaven3-core-java,
               libplexus-cipher-java,
               junit4 <!nocheck>,
               libjimfs-java <!nocheck>,
               libmockito-java <!nocheck>,
               libtruth-java <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/capsule-maven-nextflow
Vcs-Git: https://salsa.debian.org/med-team/capsule-maven-nextflow.git
Homepage: https://github.com/nextflow-io/capsule-maven
Rules-Requires-Root: no

Package: libcapsule-maven-nextflow-java
Architecture: all
Depends: capsule-nextflow,
         libmaven-resolver-java,
         libmaven-resolver-transport-http-java,
         libmaven3-core-java,
         libplexus-cipher-java,
         ${java:Depends},
         ${misc:Depends}
Description: packaging tool for Java applications with Maven coordinates
 A capsule is a single executable JAR that contains everything an application
 needs to run either in the form of embedded files or as declarative metadata.
 Maven Capsule is a capsule that allows the creations of capsules that, instead
 of embedding their dependencies, download all or some of them from a Maven
 repository. The dependencies are downloaded, cached locally, and shared among
 other capsules that also depend on them. In addition, this capsule allows
 specifying capsule metadata in a POM file in addition to the manifest.
 .
 A capsule with the Maven caplet that has all (or almost all) of its
 dependencies downloaded rather than embedded is known as a "thin" capsule (as
 opposed to a "fat" capsule, which embeds all of its dependencies). In fact, a
 capsule may not contain any of the application's classes/JARs at all. Instead,
 the capsule's manifest may contain these attributes alone (and no files in the
 capsule JAR besides the manifest). When the capsule is launched, the newest
 available version of the application will be downloaded, cached and launched.
 .
 This package contains a fork of the original capsule-maven project. This fork
 is suited as a dependency of nextflow.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=gradle --with maven_repo_helper --with javahelper

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,compression=xz, dversionmangle=s/\+dfsg$//" \
 https://github.com/nextflow-io/capsule-maven/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
